Subject: Re: loosing IPMI-card by loading netconsole

From: Henning Fehrmann <[email-masked]>
Date: Tue, 18 May 2010 13:12:16 +0000

Hello,

> >> Yeap, sure, it would be effective but I kind of want to leave
> >> bisection as the last resort.  Bisection is a somewhat painful process
> >> especially when the machine isn't right next to you and someone who
> >> has overall knowledge can often identify the problem much easier with
> >> appropriate debugging info.
> > 
> > Well nothing jumps to mind in the netpoll/netconsole code and I haven't
> > heard any similar reports. My guess is it's something obscure, so I
> > think the sooner you start bisecting... Even one or two tests will get
> > us a lot closer to figuring out what changed in the last 1.5 years.
> 
> I see.  I was hoping it would ring a bell to someone.  We'll probably
> try to provide the info Jesse asked and if that doesn't lead anywhere
> start bisecting.

Let me re-describe the symptoms.
I am not loading any ipmi related modules and not the netconsole
module.
When booting out current 2.6.32 kernel we can not access the IPMI
remotely.

We had one case where the IPMI card was accessible while using this
kernel but probably due to the fact that eth0 was removed. We do not
consider this case anymore. 

This problem does not occur when using an older kernel. 

It has likely nothing to do with netconsole.

Here is the bisecting result:

The sha1 sum of the first bad commit is: 
6e50912a442947d5fafd296ca6fdcbeb36b163ff

Hence, the last good commit has:
b2f8f7525c8aa1fdd8ad8c72c832dfb571d5f768

Cheers,
Henning